- 2020-08-25
  - Received notification about larger snippet changes that are expected to take 1-2 weeks to test.
- 2020-08-26
  - Received notification for including webext#230 and webext#237.
- 2020-08-28
  - Received notification that all changes are ready.
  - Published internal release announcement.
  - Created release notes draft.
- 2020-09-08
  - Received QA LGTM from Ross via Andrea.
- 2020-09-09
  - Received builds.
  - Published to CWS.
  - Published to AMO.
  - Noticed that release is live on AMO.
  - Failed to access Microsoft Store developer dashboard due to error on page.
  - Published to Opera store.
  - Published release notes.
  - Published to Microsoft store.
- 2020-09-10
  - Noticed that release is live on all stores.
